Bug 196889

Summary: dns/powerdns: default config hangs on boot. pdns_flags should (at least) include "--deamon"
Product: Ports & Packages Reporter: Bart Smit <freebsd>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Many People CC: brd, freebsd, tremere
Priority: --- Keywords: patch, patch-ready
Version: LatestFlags: tremere: maintainer-feedback+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Fix rc.d script (which hangs at boot) and add lua 5.2 support
none
powerdns-3.4.1_1 buildlog
none
Fix rc.d script (which hangs at boot) and add lua 5.2 support
none
powerdns-3.4.2 buildlog
none
Patch to update dns/powerdns to 3.4.2 koobs: maintainer-approval+

Description Bart Smit 2015-01-19 12:19:35 UTC
The system startup scripts require that anything they start will run as a daemon, but the default for pdns_flags (empty) is not forcing this. In a default config your system won't boot past pdnsd...

Compare this to the default for sendmail_flags which explicitly sets -bd to force daemon mode.

The proper default for pdns_flags is "--daemon --guardian". This will also make good on the promise that the docs make about running in guardian mode automatically when starting from system startup scripts.
Comment 1 Bugzilla Automation freebsd_committer 2015-01-19 12:19:35 UTC
Maintainer CC'd
Comment 2 Ralf van der Enden 2015-01-20 12:12:08 UTC
PowerDNS Auth 3.4.2 is around the corner, so I will fix this issue together with the port update to 3.4.2.
Comment 3 Ralf van der Enden 2015-02-02 11:22:52 UTC
Created attachment 152476 [details]
Fix rc.d script (which hangs at boot) and add lua 5.2 support
Comment 4 Ralf van der Enden 2015-02-02 11:23:23 UTC
Created attachment 152477 [details]
powerdns-3.4.1_1 buildlog
Comment 5 Ralf van der Enden 2015-02-02 13:25:05 UTC
Created attachment 152481 [details]
Fix rc.d script (which hangs at boot) and add lua 5.2 support

Added a new patch, which really fixes the lua 5.2 support. It broke with the previous patch now that lua 5.3 exists in the ports
Comment 6 Ralf van der Enden 2015-02-11 23:34:32 UTC
Created attachment 152879 [details]
powerdns-3.4.2 buildlog
Comment 7 Ralf van der Enden 2015-02-11 23:35:22 UTC
Created attachment 152880 [details]
Patch to update dns/powerdns to 3.4.2
Comment 8 Ralf van der Enden 2015-02-11 23:39:25 UTC
PowerDNS 3.4.2 was released, so I've updated the buildlog and patch.

Port changes:
- Lua 5.2 and 5.3 support,
- Added the ZeroMQ connector option to the remote backend,
- Changed the rc.d script so it will launch powerdns with --guardian=yes and --daemon=yes (fixing hang at boot),
- Move GeoIP and LMDB backends out of the experimental group (no longer experimental according to http://doc.powerdns.com)

PowerDNS changelog: https://doc.powerdns.com/md/changelog/#powerdns-authoritative-server-342
Comment 9 commit-hook freebsd_committer 2015-02-12 02:21:57 UTC
A commit references this bug:

Author: brd
Date: Thu Feb 12 02:21:04 UTC 2015
New revision: 378861
URL: https://svnweb.freebsd.org/changeset/ports/378861

Log:
  - Update dns/powerdns to 3.4.2
  - Pet portlint

  PR:		196889
  Submitted by:	Ralf van der Enden <tremere@cainites.net>
  Approved by:	bdrewery

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns/distinfo
  head/dns/powerdns/files/pdns.in
  head/dns/powerdns/pkg-plist
Comment 10 Brad Davis freebsd_committer 2015-02-12 02:26:16 UTC
Committed, thanks!